{: test that accessing a conformant array outside its bounds causes a fatal error }

{$d+}
program d100( output );

var
   a : array[1..10] of integer;

procedure test(aa : array[lo..hi : integer] of integer);
begin
   aa[lo] := 3;   { OK }
   aa[lo-1] := 3; { !!! access below lower bound }
   writeln( 'fails: access conformant array error is not detected' );
end;
begin {d100}

   test(a);

end. { d100 }

